Ubuntu 12.04 x64无法安装python-dev,何解

系统安装、升级讨论
回复
gezhonglunta
帖子: 8
注册时间: 2013-02-21 15:27
送出感谢: 0
接收感谢: 0

Ubuntu 12.04 x64无法安装python-dev,何解

#1

帖子 gezhonglunta » 2013-03-29 14:34

os:vb虚机 Ubuntun 12.04 x64

Python版本2.7.3
VB:~$ python
Python 2.7.3 (default, Aug 1 2012, 05:14:39)
[GCC 4.6.3] on linux2
Type "help", "copyright", "credits" or "license" for more information.

安装python2.7-dev是提示如下:
VB:~$ sudo apt-get install python2.7-dev
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是 unstable 发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们已被从新到(Incoming)目录移出。
下列信息可能会对解决问题有所帮助:

下列软件包有未满足的依赖关系:
python2.7-dev : 依赖: python2.7 (= 2.7.3-0ubuntu3) 但是 2.7.3-0ubuntu3.1 正要被安装
依赖: libpython2.7 (= 2.7.3-0ubuntu3) 但是 2.7.3-0ubuntu3.1 正要被安装
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。
gezhonglunta
帖子: 8
注册时间: 2013-02-21 15:27
送出感谢: 0
接收感谢: 0

Re: Ubuntu 12.04 x64无法安装python-dev,何解

#2

帖子 gezhonglunta » 2013-03-29 16:09

顶一下,到底该怎么办啊,安不上环境无法开发啊
回复

回到 “系统安装和升级”